Bug 502719 - Switch to using PolicyKit
Switch to using PolicyKit
Status: NEW
Product: Fedora
Classification: Fedora
Component: fwfstab (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 502765
  Show dependency treegraph
 
Reported: 2009-05-27 00:03 EDT by Rahul Sundaram
Modified: 2014-03-16 23:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2009-05-27 00:03:20 EDT
Description of problem:

usermode/consolehelper is deprecated since Fedora has a better framework now
called PolicyKit. Please switch to using that instead

http://fedoraproject.org/wiki/Features/PolicyKitOne
Comment 1 John Poelstra 2009-06-08 16:18:24 EDT
Added 'FutureFeature' keyword to avoid rawhide base
Comment 2 Bill Nottingham 2009-06-16 12:42:17 EDT
It would also be nice if it didn't use kudzu, as it's one of only two things keeping that in the distro...
Comment 3 Stewart Adam 2009-06-16 14:50:15 EDT
I'll make a note to remove the kudzu-dependent code when I have some spare time.

I'm thinking of orphaning the package and stopping development on the project anyways though (I'm also the upstream) as there isn't much of a need for users to manually add drives to /etc/fstab anymore, HAL+Gnome/KDE takes care of mounting media now.

Note You need to log in before you can comment on or make changes to this bug.